# Uses of Enum
org.eclipse.birt.chart.model.attribute.ChartDimension

Packages that use ChartDimension
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of ChartDimension in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return ChartDimension
Modifier and Type
Method
Description
`ChartDimension`
Chart.`getDimension()`
Returns the value of the 'Dimension' attribute.
Methods in org.eclipse.birt.chart.model with parameters of type ChartDimension
Modifier and Type
Method
Description
`void`
Chart.`setDimension(ChartDimension value)`
Sets the value of the '`Dimension`' attribute.

## Uses of ChartDimension in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type ChartDimension
Modifier and Type
Field
Description
`static final List<ChartDimension>`
ChartDimension.`VALUES`
A public read-only list of all the 'Chart Dimension' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return ChartDimension
Modifier and Type
Method
Description
`static ChartDimension`
ChartDimension.`get(int value)`
Returns the 'Chart Dimension' literal with the specified integer value.
`static ChartDimension`
ChartDimension.`get(String literal)`
Returns the 'Chart Dimension' literal with the specified literal value.
`static ChartDimension`
ChartDimension.`getByName(String name)`
Returns the 'Chart Dimension' literal with the specified name.
`static ChartDimension`
ChartDimension.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ChartDimension[]`
ChartDimension.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of ChartDimension in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return ChartDimension
Modifier and Type
Method
Description
`ChartDimension`
AttributeFactoryImpl.`createChartDimensionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ChartDimension`
AttributeFactoryImpl.`createChartDimensionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of ChartDimension in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component with parameters of type ChartDimension
Modifier and Type
Method
Description
`org.eclipse.birt.chart.util.NameSet`
Series.`getLabelPositionScope(ChartDimension dimension)`
Returns supported label positions scope in current series.

## Uses of ChartDimension in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl with parameters of type ChartDimension
Modifier and Type
Method
Description
`org.eclipse.birt.chart.util.NameSet`
SeriesImpl.`getLabelPositionScope(ChartDimension dimension)`

## Uses of ChartDimension in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return ChartDimension
Modifier and Type
Method
Description
`ChartDimension`
ChartImpl.`getDimension()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type ChartDimension
Modifier and Type
Method
Description
`void`
ChartImpl.`setDimension(ChartDimension newDimension)`
`void`
ChartWithoutAxesImpl.`setDimension(ChartDimension newDimension)`
Set pie chart dimension type.

## Uses of ChartDimension in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl with parameters of type ChartDimension
Modifier and Type
Method
Description
`org.eclipse.birt.chart.util.NameSet`
BarSeriesImpl.`getLabelPositionScope(ChartDimension dimension)`
`org.eclipse.birt.chart.util.NameSet`
BubbleSeriesImpl.`getLabelPositionScope(ChartDimension dimension)`
`org.eclipse.birt.chart.util.NameSet`
GanttSeriesImpl.`getLabelPositionScope(ChartDimension dimension)`
`org.eclipse.birt.chart.util.NameSet`
PieSeriesImpl.`getLabelPositionScope(ChartDimension dimension)`